Bug 1124781 - [abrt] WARNING: CPU: 0 PID: 4 at net/wireless/core.c:861 cfg80211_netdev_notifier_call+0x5a1/0x620 [cfg80211]() [NEEDINFO]
Summary: [abrt] WARNING: CPU: 0 PID: 4 at net/wireless/core.c:861 cfg80211_netdev_noti...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7b352e5e662bf9ffea719025a0b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 09:56 UTC by Honza Horak
Modified: 2014-12-10 15:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 15:00:37 UTC
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (72.03 KB, text/plain)
2014-07-30 09:56 UTC, Honza Horak
no flags Details

Description Honza Horak 2014-07-30 09:56:07 UTC
Description of problem:
Right after logging in the abrt showed the kernel error message.

Additional info:
reporter:       libreport-2.2.3
WARNING: CPU: 0 PID: 4 at net/wireless/core.c:861 cfg80211_netdev_notifier_call+0x5a1/0x620 [cfg80211]()
Modules linked in: rfcomm fuse ipt_MASQUERADE xt_CHECKSUM ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 rtsx_pci_sdmmc mmc_core rtsx_pci_ms memstick iTCO_wdt iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi uvcvideo videobuf2_vmalloc x86_pkg_temp_thermal videobuf2_memops videobuf2_core coretemp iwlmvm videodev mac80211 kvm media snd_hda_intel snd_hda_controller iwlwifi snd_hda_codec snd_hwdep snd_seq snd_seq_device microcode snd_pcm joydev e1000e serio_raw cfg80211 btusb mei_me snd_timer bluetooth mei tpm_tis rtsx_pci thinkpad_acpi wmi snd i2c_i801 ptp tpm lpc_ich rfkill soundcore pps_core mfd_core shpchp nfsd auth_rpcgss nfs_acl lockd sunrpc btrfs xor raid6_pq dm_crypt crct10dif_pclmul crc32_pclmul crc32c_intel i915 i2c_algo_bit drm_kms_helper ghash_clmulni_intel drm i2c_core video
CPU: 0 PID: 4 Comm: kworker/0:0 Not tainted 3.15.6-200.fc20.x86_64 #1
Hardware name: LENOVO 20ARS19C0B/20ARS19C0B, BIOS GJET71WW (2.21 ) 02/10/2014
Workqueue: events rfkill_op_handler [rfkill]
 0000000000000000 00000000b75aa190 ffff88030d0f3b88 ffffffff816ef48e
 0000000000000000 ffff88030d0f3bc0 ffffffff8108933d ffff880304e728d0
 ffff880036a98220 ffff880304e72000 0000000000000002 ffff880036a98000
Call Trace:
 [<ffffffff816ef48e>] dump_stack+0x45/0x56
 [<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108946a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa0455081>] cfg80211_netdev_notifier_call+0x5a1/0x620 [cfg80211]
 [<ffffffff810cfe84>] ? __wake_up+0x44/0x50
 [<ffffffff815c8e0a>] ? sock_def_error_report+0x3a/0x60
 [<ffffffff816fa43c>] notifier_call_chain+0x4c/0x70
 [<ffffffff810b0ca6>] raw_notifier_call_chain+0x16/0x20
 [<ffffffff815db825>] call_netdevice_notifiers_info+0x35/0x60
 [<ffffffff815dbb8e>] dev_close_many+0xce/0x120
 [<ffffffff815dd7e0>] dev_close.part.70+0x40/0x70
 [<ffffffff815dd831>] dev_close+0x21/0x30
 [<ffffffffa0454715>] cfg80211_rfkill_set_block.part.8+0x35/0x80 [cfg80211]
 [<ffffffffa0454779>] cfg80211_rfkill_set_block+0x19/0x20 [cfg80211]
 [<ffffffffa0342ac0>] rfkill_set_block+0x90/0x140 [rfkill]
 [<ffffffffa0342bbe>] __rfkill_switch_all+0x4e/0x70 [rfkill]
 [<ffffffffa0343833>] rfkill_switch_all+0x53/0x60 [rfkill]
 [<ffffffffa0343df2>] rfkill_op_handler+0xf2/0x18c [rfkill]
 [<ffffffff810a4af6>] process_one_work+0x176/0x430
 [<ffffffff810a578b>] worker_thread+0x11b/0x3a0
 [<ffffffff810a5670>] ? rescuer_thread+0x3b0/0x3b0
 [<ffffffff810ac528>] kthread+0xd8/0xf0
 [<ffffffff810ac450>] ? insert_kthread_work+0x40/0x40
 [<ffffffff816ff43c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810ac450>] ? insert_kthread_work+0x40/0x40

Comment 1 Honza Horak 2014-07-30 09:56:12 UTC
Created attachment 922479 [details]
File: dmesg

Comment 2 Justin M. Forbes 2014-11-13 16:00:54 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2014-12-10 15:00:37 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.